
Automated Build Generator - Bug #2581
Better error message for multiple entries with the same project name in one distribution
06/22/2016 03:12 PM - N. Köster

Status: Resolved Start date: 06/22/2016
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: Project Analysis Estimated time: 0.00 hour
Target version: 0.6
Description

Distribution content:

[...]
    [ "rsb-lazy-converter-python",                                     "0.13" ],
    [ "rsb-lazy-converter-python",                                     "0.12" ],
[...]

Generator:

[...]
1 problem during RESOLVE/DISTRIBUTION phase:

SIMPLE-ERROR:
Could not find version "0.12" in project #<PROJECT-SPEC ltm-nightly:rsb-lazy-converter-python {10076669E3}>.

[...]

rsb-lazy-converter-python projectfile:

[...]
"variables" : {
"access" : "public",
"branches" : [ "master", "0.12", "0.13" ],
"extra-requires" : [ [ "setuptools","rsb" ] ],
[...]

git branches

[nkoester @ calcit] [33722/0] [15:04:33 - 22.06.16]
[/homes/nkoester/workspace_cor/rsb-lazy-converter.python/] git branch -a
0.12
* 0.13
master
remotes/origin/0.12
remotes/origin/0.13
remotes/origin/master
Associated revisions
Revision 1c6c81f9 - 06/22/2016 04:35 PM - J. Moringen

Reject duplicate project entries in src/project/json.lisp

fixes #2581

    -  src/project/json.lisp (load-distribution-spec/json-1): signal an error
  for multiple entries with identical project names

History
#1 - 06/22/2016 03:51 PM - J. Moringen
- Status changed from New to Rejected

Has to be written as

[ "rsb-lazy-converter-python", "0.12", "0.13" ],

#2 - 06/22/2016 03:52 PM - J. Moringen
- Subject changed from Simple error when havin multiple versions of the same project in one distribution to Better error message for multiple entries 
withthe same project name in one distribution
- Status changed from Rejected to New

#3 - 06/22/2016 03:52 PM - J. Moringen
- Subject changed from Better error message for multiple entries withthe same project name in one distribution to Better error message for multiple 
entries with the same project name in one distribution

#4 - 06/22/2016 04:39 PM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:1c6c81f90e79f0e3825eceb47a1ddb83a78a80f8.

#5 - 09/30/2016 10:46 AM - J. Moringen
- Target version set to 0.6
